Bug 111905 - mkbootdisk is missing on AMD64
mkbootdisk is missing on AMD64
Product: Fedora
Classification: Fedora
Component: mkbootdisk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-12-11 10:01 EST by Milan Kerslager
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-07 05:24:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Forcing ISO bootdisk on x86_64 (AMD64) (489 bytes, patch)
2003-12-11 10:04 EST, Milan Kerslager
no flags Details | Diff

  None (edit)
Description Milan Kerslager 2003-12-11 10:01:34 EST
As mkbootdisk package is ExclusiveArch, there is no package for AMD64
platform. As there is a possibility to build boot ISO file, there is
no reason to exclude this package from other platforms (I have no FDD
on my current servers but CD-ROM).

Please apply next patch and remove arch restriction from SPEC file.
The patch print out error message for x86_64 and disallow a creation
of bootdisk on FDD.

There should be probably a test for 2.88MB floppies too.

I tested mkbootdisk-1.5.1-1 from FC1 and RHEL3.
Comment 1 Milan Kerslager 2003-12-11 10:04:04 EST
Created attachment 96466 [details]
Forcing ISO bootdisk on x86_64 (AMD64)
Comment 2 Milan Kerslager 2003-12-11 10:24:27 EST
As this package is pure shell script it can be build as noarch.

Add BuildArch: noarch to SPEC file and make conditions for different
architectures like patch above.
Comment 3 Peter Vrabec 2006-03-07 05:24:25 EST
fixed in mkbootdisk-1.5.2-6

Note You need to log in before you can comment on or make changes to this bug.